#!/usr/bin/perl
# use utf8;
# binmode STDIN,  ":utf8";
# binmode(STDOUT,":utf8"); 
#=====================================================================
#===  フォームメールブログラム　　　　　　　　　                   ===
#===  Copyright 2006,Programming by Studio iNDEX                   ===
#===                                           Date 2006 / 5 /  8  ===
#=====================================================================
#どのような用途であっても,本プログラム中の一部または全部の流用を禁ずる
#=====================================================================

#SendMailのパス
$sendmail = '/usr/sbin/sendmail';

#戻り先URL
$backurl = "../index.html";

#送信先アドレス１
$mailto1 = 'ascend314@ascend.co.jp';

#メールのタイトル（会社・店舗側）
$subject = "【新卒採用】ホームページよりエントリーを承りました。";

#メールのタイトル（お客様側）
$subject2 = "【新卒採用】株式会社アセンド「エントリーのご確認」";

#自分自身のファイル名
$owncgi 	= "graduate_entry.cgi";

#チェックボックスの入力判定
$ch_checkbox=0;

#ルートからのアドレス（最後に「/」は入れないでください）
#$home = "..";

#UTF-8変換
use Encode::Guess qw/ shiftjis euc-jp 7bit-jis /;
use Encode qw/ from_to /;
#エラー出し用
use CGI::Carp qw(fatalsToBrowser);

#ライブラリのロード
#require './lib/jcode.pl';
require './lib/graduate_html_lib.pl';
require './lib/temp_lib.pl';


#=====================================================================
#  初期ルーチン                                                     
#=====================================================================
&decode;

## コマンド振り分け
if ($mode eq "submit") { &sendmail;               }
if ($mode eq "check" ) { &check_form;             }
if ($mode eq "return") { &regi_form;              }
else                   { &data_init; &regi_form;  }
exit;


#=====================================================================
#  初期表示                                                     
#=====================================================================
sub regi_form {

	## ラジオボタンのチェック

	if (!$form{'BUSINESS'})   { $ch_bhistory[1]   = ' checked'; } else { $ch_bhistory[$form{'BUSINESS'}]     = ' checked'; }
	if (!$form{'CONTACTYOU'}) { $ch_method[1] = ' checked'; } else { $ch_method[$form{'CONTACTYOU'}] = ' checked'; }
	if (!$form{'MAIL'}) { $ch_mail[1] = ' checked'; } else { $ch_mail[$form{'MAIL'}] = ' checked'; }

	my $monthselect    = &select_month;

	## チェックボックスのチェック
	#foreach my $temp (@ReasonArray){ $ch_reason[$temp]=' checked'; }

	## ヘッダー
	print "Content-type: text/html\n\n";
	&htmlHeader;

	## 入力フォーム
	print <<_HTML_;
		<div class="section">
			<h4><span>新卒採用 エントリーの流れ</span></h4>
			
			<ul class="flow_box">
				<li>
					<p>1</p>
					<p>エントリー</p>
					<p>以下エントリーフォームによりお申込み下さい。<br>
						※マイナビからのエントリーでもOK。マイナビからのエントリーでも、以下は同じ手順となります。</p>
				</li>
				<li>
					<p>2</p>
					<p>応募受付連絡</p>
					<p>エントリー確認後、担当者から連絡を差し上げ、会社説明会の日程調整をいたします。</p>
				</li>
				<li>
					<p>3</p>
					<p>会社説明会</p>
					<p>説明会では会社概要、業務内容、就労条件面などを説明いたします。また、必要に応じ寮などの施設見学もしていただきます。</p>
				</li>
				<li>
					<p>4</p>
					<p>応募書類送付</p>
					<p>会社説明会で理解を深めていただくことができましたら、以下の応募書類３点をご送付ください。<br>
						・履歴書（写真貼付）　・成績証明書　 ・卒業見込証明書</p>
				</li>
				<li>
					<p>5</p>
					<p>採用試験</p>
					<p>筆記試験（一般常識、作文）、面接</p>
				</li>
				<li>
					<p>6</p>
					<p>内　定</p>
					<p>採用試験結果を総合的に勘案のうえ採否を判定します。</p>
				</li>
			</ul><!--/flow_box-->
		</div>
		
		<div class="section">
			<h4><span>新卒採用 エントリーフォーム</span></h4>
			
			<p>以下注意事項を必ずご確認のうえ、ご応募ください。</p>
			<ul class="li_list">
				<li>新卒採用（大学院、大学、短大、専門学校、第二新卒）応募者専用のフォームです。</li>
				<li>応募前に「<a href="../privacy/index.html">個人情報保護ポリシー</a>」を必ずご確認ください。</li>
				<li>１週間経っても返信がない場合は、お手数ですが再度ご連絡をお願いします。</li>
				<li>【必須】項目の情報欄は、お間違いのないようご記入・ご選択ください。</li>
			</ul>
			
			<ul class="going_list">
				<li class="on"><p><span>STEP1</span><br>
				入力画面</p></li>
				<li><p><span>STEP2</span><br>
				入力内容確認</p></li>
				<li><p><span>STEP3</span><br>
				送信完了</p></li>
			</ul>

		<form name="form" method="post" action="$owncgi">
		<table border="0" cellpadding="0" cellspacing="0" class="recruit_table entry_table">
		
		<tr>
		<th>お名前<br><span class="red">【必須】</span></th>
		<td>$err_name
		<input type="text" name="NAME" size="40" maxlength="40" style="ime-mode: active;" value="$form{'NAME'}" placeholder="例）山田 太郎" class="middle"></td></tr>

		<tr>
		<th>お名前（フリガナ）<br><span class="red">【必須】</span></th>
		<td>$err_kana
		<input type="text" name="KANA" size="40" maxlength="40" style="ime-mode: active;" value="$form{'KANA'}" placeholder="例）ヤマダ タロウ" class="middle"></td></tr>

		<tr>
		<th>学校名<br><span class="red">【必須】</span></th>
		<td>$err_school
		<input type="text" name="SCHOOL" size="40" maxlength="40" style="ime-mode: active;" value="$form{'SCHOOL'}" placeholder="既卒の場合は最終学歴の卒業校を入力してください" class="long"></td></tr>

		<tr>
		<th>学部、学科<br><span class="red">【必須】</span></th>
		<td>$err_division
		<input type="text" name="DIVISION" size="40" maxlength="40" style="ime-mode: active;" value="$form{'DIVISION'}" class="long"></td></tr>

		<tr>
		<th>卒業（予定）年月<br><span class="red">【必須】</span></th>
		<td>$err_days
		<input type="text" name="YEAR" size="40" maxlength="40" style="ime-mode: active;" value="$form{'YEAR'}" placeholder="半角数字" class="short"> 年
		$monthselect月</td></tr>

		<tr>
		<th>性別<br><span class="red">【必須】</span></th>
		<td>$err_gender<input type="radio" name="GENDER" id="gender1" value="1"$ch_method[1]>
		<label for="gender1">男</label>
		&nbsp;&nbsp;
		<input type="radio" name="GENDER" id="gender2" value="2"$ch_method[2]>
		<label for="gender2">女</label>
		</td></tr>
		
		<tr>
		<th>生年月日<br><span class="red">【必須】</span></th>
		<td>$err_birthday
		<input type="text" name="BIRTHDAY1" size="40" maxlength="40" style="ime-mode: active;" value="$form{'BIRTHDAY1'}" placeholder="半角数字" class="short"> 年 
		<input type="text" name="BIRTHDAY2" size="40" maxlength="40" style="ime-mode: active;" value="$form{'BIRTHDAY2'}" placeholder="半角数字" class="short"> 月 
		<input type="text" name="BIRTHDAY3" size="40" maxlength="40" style="ime-mode: active;" value="$form{'BIRTHDAY3'}" placeholder="半角数字" class="short"> 日</td></tr>

		<tr>
		<th>郵便番号</th>
		<td>$err_post
		<input type="text" name="POST" size="40" maxlength="40" style="ime-mode: active;" value="$form{'POST'}" placeholder="半角数字" class="short">（ハイフン不要）</td></tr>

		<tr>
		<th>ご住所<br><span class="red">【必須】</span></th>
		<td>$err_address
		<input type="text" name="ADDRESS" size="40" maxlength="40" style="ime-mode: active;" value="$form{'ADDRESS'}" class="long"></td></tr>
		
		<tr>
		<th>電話番号<br><span class="red">【必須】</span></th>
		<td>携帯電話・固定電話 など連絡可能な電話番号をご入力ください。<br>
		$err_tel
		<input type="text" name="TEL" size="40" maxlength="40" style="ime-mode: active;" value="$form{'TEL'}" placeholder="半角数字" class="middle"></td></tr>

		<tr>
		<th>Eメールアドレス<br><span class="red">【必須】</span></th>
		<td>$err_email
		<input type="radio" name="MAIL" id="e_yes" value="1"$ch_mail[1] onClick="RadioCheck()">
		<label for="e_yes">有り</label>
		&nbsp;&nbsp;
		<input type="radio" name="MAIL" id="e_no" value="2"$ch_mail[2] onClick="RadioCheck()">
		<label for="e_no">無し</label><br>
		<input type="text" name="MAILADDRESS" size="25" maxlength="50" value="$form{'MAILADDRESS'}" placeholder="半角数字" class="long"></td></tr>
		
		<tr>
		<th>希望連絡方法<br><span class="red">【必須】</span></th>
		<td>$err_bcontactyou
		<input type="radio" name="CONTACTYOU" id="c_tel" value="1"$ch_method[1]>
		<label for="c_tel">電話</label>
		&nbsp;&nbsp;
		<input type="radio" name="CONTACTYOU" id="c_mail" value="2"$ch_method[2]>
		<label for="c_mail">Eメール</label></td></tr>
		
		<tr>
		<th>連絡事項・自己PRなど</th>
		<td><textarea name="MESSAGE" cols="60" rows="5" style="ime-mode: active;">$form{'MESSAGE'}</textarea></td></tr>
		</table>

		<p class="input_btn">
			<input type="submit" value="リセット">
			<input type="submit" name="C_CHECK" value="入力内容の確認">
		</p>
		</form>
		</div>
_HTML_

	&htmlFooter;
	exit;
}



#=====================================================================
#  確認画面表示                                                     
#=====================================================================
sub check_form {
	## 入力チェック
	my $ERR = 0;
	if (($form{'POST'} ne "") && ($form{'POST'} =~ /[^0-9\-]+/)      ) { $err_post     = "<span class=\"red\">入力内容が正しくありません。</span><br>";                $ERR = 1; }
	if (!$form{'DIVISION'}                                           ) { $err_division = "<span class=\"red\">学部、学科の省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'ADDRESS'}                                            ) { $err_address = "<span class=\"red\">都道府県の省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'SCHOOL'}                                             ) { $err_school = "<span class=\"red\">学校名の省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'YEAR'}                                               ) { $err_days = "<span class=\"red\">卒業（予定）年月の省略は出来ません。</span><br>";                $ERR = 1; }
	if (($form{'YEAR'} ne "") && ($form{'YEAR'} =~ /[^0-9\-]+/)      ) { $err_days = "<span class=\"red\">入力内容が正しくありません。</span><br>";                $ERR = 1; }
	if (!$form{'NAME'}                                               ) { $err_name     = "<span class=\"red\">お名前の省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'KANA'}                                               ) { $err_kana     = "<span class=\"red\">ふりがなの省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'BIRTHDAY1'}                                          ) { $err_birthday     = "<span class=\"red\">生年月日の省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'BIRTHDAY2'}                                          ) { $err_birthday     = "<span class=\"red\">生年月日省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'BIRTHDAY3'}                                          ) { $err_birthday     = "<span class=\"red\">生年月日省略は出来ません。</span><br>";                $ERR = 1; }

	if (!$form{'TEL'}                                                ) { $err_tel      = "<span class=\"red\">電話番号の省略は出来ません。</span><br>";                $ERR = 1; }
	if (!$form{'CONTACTYOU'}                                         ) { $err_contactyou  = "<span class=\"red\">ご連絡方法の省略は出来ません。</span><br>";                $ERR = 1; }
	if (($form{'TEL'} ne "") && ($form{'TEL'} =~ /[^0-9\-]+/)        ) { $err_tel      = "<span class=\"red\">入力内容が正しくありません。</span><br>";                $ERR = 1; }

	#my$mailview2;
	#if(!$form{'EMAIL1'} || !$form{'EMAIL2'}){
	#	$err_email = "<FONT color=\"red\">メールアドレスの省略は出来ません。</FONT><br>";
	#	$ERR = 1;
	#}
	if($form{'MAILADDRESS'}){
		$mailview2 = $form{'MAILADDRESS'};
		if (($mailview2 ne '@') && ($mailview2 !~ /(.*)\@(.*)\.(.*)/)) { $err_email    = "<span class=\"red\">入力内容が正しくありません。</span><br>";          $ERR = 1; }
	}

	if($ERR == 1) { &regi_form; }

	## 入力確認画面の表示
	my $mesview = $form{'MESSAGE'};
	$mesview =~ s/\r\n/<br>/g;
	$mesview =~ s/\r/<br>/g;
	$mesview =~ s/\n/<br>/g;

	my $monthview = &view_month($form{'MONTH'});

	my $ch_mail_view;
	if    ($form{'MAIL'} eq "1" ) { $ch_mail_view = "有り";  }
	elsif ($form{'MAIL'} eq "2" ) { $ch_mail_view = "無し";  }

	my $contactyou_view;
	if    ($form{'CONTACTYOU'} eq "1" ) { $contactyou_view = "電話"; }
	elsif ($form{'CONTACTYOU'} eq "2" ) { $contactyou_view = "Eメール";  }

	my $gender_view;
	if    ($form{'GENDER'} eq "1" ) { $gender_view = "男"; }
	elsif ($form{'GENDER'} eq "2" ) { $gender_view = "女";  }

	#my $consultview;
	#foreach my $temp (@ReasonArray){
	#	if    ($temp eq "0" ) { $consultview .= "見積りが欲しい<br>"; }
	#	elsif ($temp eq "1" ) { $consultview .= "分析依頼をしたい<br>"; }
	#	#elsif ($temp eq "2" ) { $consultview .= "資料請求をしたい<br>"; }
	#}

	#my $consulthidden;
	#foreach my $temp (@ReasonArray){
	#	if    ($temp eq "0" ) { $consulthidden .= "<input type=\"hidden\" name=\"REASONS\" value=\"0\">\n"; }
	#	elsif ($temp eq "1" ) { $consulthidden .= "<input type=\"hidden\" name=\"REASONS\" value=\"1\">\n"; }
	#	#elsif ($temp eq "2" ) { $consulthidden .= "<input type=\"hidden\" name=\"REASONS\" value=\"2\">\n"; }
	#}


	## ヘッダー
	print "Content-type: text/html\n\n";
	&htmlHeader;

	## 入力確認フォーム
	print <<_HTML_;
		<div class="section">
			<h4><span>新卒採用 エントリーフォーム</span></h4>
			
			<p>以下注意事項を必ずご確認のうえ、ご応募ください。</p>
			<ul class="li_list">
				<li>新卒採用（大学院、大学、短大、専門学校、第二新卒）応募者専用のフォームです。</li>
				<li>応募前に「<a href="../privacy/index.html">個人情報保護ポリシー</a>」を必ずご確認ください。</li>
				<li>１週間経っても返信がない場合は、お手数ですが再度ご連絡をお願いします。</li>
				<li>【必須】項目の情報欄は、お間違いのないようご記入・ご選択ください。</li>
			</ul>
			
			<ul class="going_list">
				<li><p><span>STEP1</span><br>
				入力画面</p></li>
				<li class="on"><p><span>STEP2</span><br>
				入力内容確認</p></li>
				<li><p><span>STEP3</span><br>
				送信完了</p></li>
			</ul>
		<form name="form" method="post" action="$owncgi">
		<table border="0" cellpadding="0" cellspacing="0" class="recruit_table entry_table">

		<tr>
		<th>お名前<br><span class="red">【必須】</span></th>
		<td>$form{'NAME'}
		<input name="NAME" type="hidden" value="$form{'NAME'}"></td></tr>

		<tr>
		<th>お名前（フリガナ）<br><span class="red">【必須】</span></th>
		<td>$form{'KANA'}
		<input name="KANA" type="hidden" value="$form{'KANA'}"></td></tr>

		<tr>
		<th>学校名<br><span class="red">【必須】</span></th>
		<td>$form{'SCHOOL'}
		<input name="SCHOOL" type="hidden" value="$form{'SCHOOL'}"></td></tr>

		<tr>
		<th>学部、学科<br><span class="red">【必須】</span></th>
		<td>$form{'DIVISION'}
		<input name="DIVISION" type="hidden" value="$form{'DIVISION'}"></td></tr>

		<tr>
		<th>卒業（予定）年月<br><span class="red">【必須】</span></th>
		<td>$form{'YEAR'}
		<input name="YEAR" type="hidden" value="$form{'YEAR'}"> 年
		$monthview 月<input name="MONTH" type="hidden" value="$form{'MONTH'}"></td></tr>

		<tr>
		<th>性別<br><span class="red">【必須】</span></th>
		<td>$gender_view
		<input name="GENDER" type="hidden" value="$form{'GENDER'}"></td></tr>
		
		<tr>
		<th>生年月日<br><span class="red">【必須】</span></th>
		<td>$form{'BIRTHDAY1'}年 $form{'BIRTHDAY2'}月 $form{'BIRTHDAY3'}日
		<input name="BIRTHDAY1" type="hidden" value="$form{'BIRTHDAY1'}">
		<input name="BIRTHDAY2" type="hidden" value="$form{'BIRTHDAY2'}">
		<input name="BIRTHDAY3" type="hidden" value="$form{'BIRTHDAY3'}"></td></tr>

		<tr>
		<th>郵便番号</th>
		<td>$form{'POST'}
		<input name="POST" type="hidden" value="$form{'POST'}"></td></tr>

		<tr>
		<th>ご住所<br><span class="red">【必須】</span></th>
		<td>$form{'ADDRESS'}
		<input name="ADDRESS" type="hidden" value="$form{'ADDRESS'}"></td></tr>

		<tr>
		<th>電話番号<br><span class="red">【必須】</span></th>
		<td>$form{'TEL'}
		<input name="TEL" type="hidden" value="$form{'TEL'}"></td></tr>

		<tr>
		<th>Eメールアドレス<br><span class="red">【必須】</span></th>
		<td>$ch_mail_view<br>
		$form{'MAILADDRESS'}
		<input name="MAILADDRESS" type="hidden" value="$form{'MAILADDRESS'}"></td></tr>

		<tr>
		<th>希望連絡方法<br><span class="red">【必須】</span></th>
		<td>$contactyou_view&nbsp;
		<input name="CONTACTYOU" type="hidden" value="$form{'CONTACTYOU'}"></td></tr>

		<tr>
		<th>連絡事項・自己PRなど</th>
		<td>$mesview&nbsp;
		<input name="MESSAGE" type="hidden" value="$form{'MESSAGE'}"></td></tr>
		</table>

		<p class="input_btn">
			<input type="submit" name="C_RETURN" value="入力フォームへ戻る">
			<input type="submit" name="C_SUBMIT" value="内容を確認して送信">
		</p>
		</form>
		</div>
_HTML_

	&htmlFooter;
	exit;
}

#=====================================================================
#  メールの送信                                                       
#=====================================================================
sub sendmail {
	&get_time;

	my $mailview2;
	if($form{'MAILADDRESS'}){
		$mailview2 = $form{'MAILADDRESS'};
	}

	my $monthview = &view_month($form{'MONTH'});

	my $ch_mail_view;
	if    ($form{'MAIL'} eq "1" ) { $ch_mail_view = "有り";  }
	elsif ($form{'MAIL'} eq "2" ) { $ch_mail_view = "無し";  }

	my $contactyou_view;
	if    ($form{'CONTACTYOU'} eq "1" ) { $contactyou_view = "電話"; }
	elsif ($form{'CONTACTYOU'} eq "2" ) { $contactyou_view = "Eメール";  }

	my $gender_view;
	if    ($form{'GENDER'} eq "1" ) { $gender_view = "男"; }
	elsif ($form{'GENDER'} eq "2" ) { $gender_view = "女"; }

	#my $consultmail="";
	#foreach my $temp (@ReasonArray){
	#if    ($temp eq "0" ) { $consultmail .= "見積りが欲しい\n"; }
	#elsif ($temp eq "1" ) { $consultmail .= "分析依頼をしたい\n"; }
	#elsif ($temp eq "2" ) { $consultmail .= "資料請求をしたい\n"; }
	#}

	$body = <<_BODY_;
=================================================================================
　　　　【新卒採用】エントリーのお知らせ
=================================================================================
ホームページ上よりエントリーを承りました。
=================================================================================
問い合わせ日時:$date $hour

お名前            ：$form{'NAME'}　様
フリガナ          ：$form{'KANA'}　サマ
学校名            ：$form{'SCHOOL'}
学部、学科        ：$form{'DIVISION'}
卒業（予定）年月　：$form{'YEAR'}年 $monthview月
性別              ：$gender_view
生年月日          ：$form{'BIRTHDAY1'}年 $form{'BIRTHDAY2'}月 $form{'BIRTHDAY3'}日

郵便番号          ：$form{'POST'}
ご住所            ：$form{'ADDRESS'}
電話番号　　　　　：$form{'TEL'}
E-mailアドレス    ：$mailview2
希望連絡方法      ：$contactyou_view

連絡事項・自己PRなど
$form{'MESSAGE'}

=================================================================================
_BODY_

	#&jcode'convert(*body ,'jis');
	
	# UTF-8コード変換
 	my $enc = guess_encoding ( $body );
	my $from = $enc->name;
	my $to   = "jis";
 	from_to ( $body , $from , $to ); 
	
	#&jcode'convert(*subject ,'jis');
	
	# $subjectのコードを文字化け防止用に再変換
	$subject = Encode::encode('MIME-Header-ISO_2022_JP', $subject);

	if ( !open( MAIL, "| $sendmail -t" ) ) { &error( 'メール送信システムが異常です。' ); }

	print MAIL "X-Mailer: Stdio iNDEX Web Mailer \n";
	print MAIL "To: $mailto1\n";
	print MAIL "From: $mailview2\n";
	print MAIL "Subject: $subject\n\n";
	print MAIL "$body";
	print MAIL "\n";

	close( MAIL );

	$body2 = <<_BODY_;
=================================================================================
【新卒採用】株式会社アセンド「エントリーのご確認」
=================================================================================
この度は、エントリーいただきまして誠にありがとうございます。
追って担当者よりご連絡いたしますので、しばらくお待ち下さい。

このメールは、エントリーいただいたお客様へ自動で送信しています。

心当たりの無い方が受信されました場合には至急下記のアドレスまでご連絡を
お願いいたします。

※当メールは等幅フォントで作成しております。
  プロポーショナルフォントでは位置がずれることがありますのでご注意ください。
=================================================================================
$date $hourにいただきましたお問い合わせ内容をご確認ください。

お名前            ：$form{'NAME'}　様
フリガナ          ：$form{'KANA'}　サマ
学校名            ：$form{'SCHOOL'}
学部、学科        ：$form{'DIVISION'}
卒業（予定）年月　：$form{'YEAR'}年 $monthview月
性別              ：$gender_view
生年月日          ：$form{'BIRTHDAY1'}年 $form{'BIRTHDAY2'}月 $form{'BIRTHDAY3'}日

郵便番号          ：$form{'POST'}
ご住所            ：$form{'ADDRESS'}
電話番号　　　　　：$form{'TEL'}
E-mailアドレス    ：$mailview2
希望連絡方法      ：$contactyou_view

連絡事項・自己PRなど
$form{'MESSAGE'}

=================================================================================
■お問合せ先■
  誤って応募された場合や、応募後に説明会に参加できなくなった時は
 「採用担当」までご連絡お願いします。
  ascend314\@ascend.co.jp

  お問合せ先：株式会社アセンド
  〒319-1112　茨城県那珂郡東海村村松3115-6

  URL：https://www.ascend.co.jp/
  E-mail：ascend314\@ascend.co.jp
  総務部 採用担当 ： TEL 029-282-1145
=================================================================================

_BODY_

	#&jcode'convert(*body2 ,'jis');
	
	# UTF-8コード変換
 	my $enc = guess_encoding ( $body2 );
	my $from = $enc->name;
	my $to   = "jis";
 	from_to ( $body2 , $from , $to );
	
	
	#&jcode'convert(*subject2 ,'jis');

	# $subjectのコードを文字化け防止用に再変換
	$subject2 = Encode::encode('MIME-Header-ISO_2022_JP', $subject2);

	if($mailview2){
		if ( !open( MAIL, "| $sendmail -t" ) ) { &error( 'メール送信システムが異常です。' ); }
	
		print MAIL "X-Mailer: Stdio iNDEX Web Mailer \n";
		print MAIL "To: $mailview2\n";
		print MAIL "From: $mailto1\n";
		print MAIL "Subject: $subject2\n\n";
		print MAIL "$body2";
		print MAIL "\n";
	
		close( MAIL );
	}

	print "Content-type: text/html\n\n";
	$reflashhtml = "<meta http-equiv=\"Refresh\" content=\"10;URL=$backurl\">\n";
	&htmlHeader;
	print <<_HTML_;
			<div class="section">
			<ul class="going_list">
				<li><p><span>STEP1</span><br>
				入力画面</p></li>
				<li><p><span>STEP2</span><br>
				入力内容確認</p></li>
				<li class="on"><p><span>STEP3</span><br>
				送信完了</p></li>
			</ul>
			<p>この度は、エントリーいただき誠にありがとうございます。<br>
			メールアドレスをご入力頂いた方には確認のメールをお送りしておりますのでご確認ください。<br><br>
			後日、弊社担当よりご連絡させていただきます。<br>
			10秒後にトップページへ戻ります。<br>
			戻らないときは、「<A href="$backurl">ここ</A>」をクリックしてください。</p>
			</div>
_HTML_
	&htmlFooter;
	exit;
}
